=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2011-09-30 17:52:25 +0000
+++ bzrlib/config.py	2011-10-03 14:34:45 +0000
@@ -3276,7 +3276,6 @@
         # Hack around library_state.initialize never called
         if bzrlib.global_state is not None:
             return [bzrlib.global_state.cmdline_overrides]
-        trace.warning("You forgot to use 'with bzrlib.initialize():'")
         return []
 
 

=== modified file 'bzrlib/tests/test_library_state.py'
--- bzrlib/tests/test_library_state.py	2011-09-30 17:52:25 +0000
+++ bzrlib/tests/test_library_state.py	2011-10-03 14:34:45 +0000
@@ -16,12 +16,9 @@
 
 """Tests for BzrLibraryState."""
 
-import bzrlib
 from bzrlib import (
-    config,
     library_state,
     tests,
-    trace,
     ui as _mod_ui
     )
 from bzrlib.tests import fixtures
@@ -52,17 +49,3 @@
         finally:
             state.__exit__(None, None, None)
             self.assertEqual(['__enter__', '__exit__'], tracer._calls)
-
-    def test_warns_if_not_called(self):
-        self.overrideAttr(bzrlib, 'global_state', None)
-        warnings = []
-        def warning(*args):
-            warnings.append(args[0] % args[1:])
-        self.overrideAttr(trace, 'warning', warning)
-        # Querying for a an option requires a real global_state or emits a
-        # warning
-        c = config.GlobalStack()
-        v = c.get('whatever')
-        self.assertLength(1, warnings)
-        self.assertEquals("You forgot to use 'with bzrlib.initialize():'",
-                          warnings[0])

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2011-09-30 17:52:25 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2011-10-03 14:34:45 +0000
@@ -55,8 +55,8 @@
   turned into a line-basde one when ``INSIDE_EMACS`` is set (which is the
   case for all recent emacs versions). (Vincent Ladeuil, #856261)
 
-* Emit a warning but don't crash if bzrlib.initialize() has not been called. 
-  (Vincent Ladeuil, #863401)
+* Don't crash if bzrlib.initialize() has not been called while accessing
+  configs.  (Vincent Ladeuil, #863401)
 
 * Redirects between http and https no longer discard path information
   in some cases. (Jelmer Vernooij, #853765)

